* implements consumption tax change
*
*   s_tax:          taxed sector set by defining s_tax("xxx") = YES;
*   shock_size:     initial year value of the shock in billions
*
set
  s_tax(s)       taxed sector;

parameter
  shock_size     value of the shock in billions
  tax            addition to tax rate;

* there are no regulated sectors until one is set
s_tax(s) = no;

* load the shock specification
$include examples/tax_definition.gms

* tax amount
tax(t,s_tax)$sum((rr,h), pa.l(t,rr,s_tax)*cd.l(t,rr,s_tax,h)*cd_base(t,rr,s_tax,h))
  = shock_size/sum((rr,h), pa.l(t,rr,s_tax)*cd.l(t,rr,s_tax,h)*cd_base(t,rr,s_tax,h));

* augment existing consumption tax
tc(t,r,s_tax) = tc(t,r,s_tax) + tax(t,s_tax);

display tax;
