# SAGE

**S**AGE is an **A**pplied **G**eneral **E**quilibrium (SAGE) model of the U.S. economy.

v2.0.1

SAGE is computable general equilibrium model (CGE) of the United States economy developed for the analysis of environmental regulations and policies. It is an intertemporal model with perfect foresight, resolved at the sub-national level. Each of the regions in the model, has multiple representative households based on income level and multiple representative firms, most of which are focused on the manufacturing and energy sectors that are often impacted by environmental policies. Production technologies are represented with nested CES functions, which may include natural resource inputs. Capital for these firms is represented in a partial putty-clay framework to aid in capturing transition dynamics. A single government agent levies taxes on labor earnings, capital earnings, production, and consumption. The United States is treated as a large open economy using the Armington framework governing both domestic and international trade. The model is solved using the General Algebraic Modeling System (GAMS) and the PATH solver, with wrappers and data functions written in R.

Each directory contains a readme.txt file describing the contents of the directory. For complete documentation of the model, along with instructions for using the model, please see ./documentation/documentation.pdf.

| Directory       | Contents                                                |
|:----------------|:--------------------------------------------------------|
| ./build         | Build stream code and data                              |
| ./data          | Benchmark data nd parameter files for running the model |
| ./diagnostics   | Scripts for running model and data diagnostic tests     |
| ./documentation | Model documentation, including typeset copy             |
| ./diagnostics   | Code for running model diagnostics                      |
| ./examples      | Examples of running the model                           |
| ./model         | Core SAGE model                                         |
| ./output        | Model output is stored here by default                  |
| ./utilities     | Utilities for running the model and working with output |

## Data Availability Disclaimer

The social accounting matrix for SAGE is based on the state-level IMPLAN data set available from www.IMPLAN.com. While the underlying IMPLAN data are proprietary, EPA has permission to share the aggregated social accounting matrix in the publicly available version of SAGE (see .data/default_aggregation.gdx). A licensed version of IMPLAN is required to build or make changes to the SAGE data sets. To build the dataset, first follow the instructions in ./build/data/implan/implan_data_instructions.txt to add the necessary IMPLAN data files into the SAGE directory structure. Then run the main build stream function ./build/build_default_data_sets.R.
