# install_R_packages.R
#
# install all R packages used by sage that are not already intsalled on the
# current system
#
# optional: "fiftystater" package on github that can be used for producing chloropleths.
# use the devtools package to install (install.packages("devtools"),
# devtools::install_github("wmurphyrd/fiftystater"))

# packages used by sage
packages = c("httr","RJSONIO","tidyr","RCurl","ggplot2","SAScii","maps",
             "RColorBrewer","dplyr","matrixStats","bea.R","mapproj")

# packages used by sage but not currently on the system
new.packages = packages[!(packages %in% installed.packages()[,"Package"])]

# install the required packages not already installed
if (length(new.packages))
  install.packages(new.packages, repos = "http://cran.rstudio.com/")
